org.apache.calcite.avatica

## Class MetaImpl.MetaPrimaryKey

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.MetaPrimaryKey

Enclosing class:
  MetaImpl

    public static class MetaImpl.MetaPrimaryKey
    extends Object

Metadata describing a primary key.

### Field Summary

Fields
`String` `columnName`
`short` `keySeq`
`String` `pkName`
`String` `tableCat`
`String` `tableName`
`String` `tableSchem`

### Constructor Summary

Constructors
Constructor and Description
`MetaImpl.MetaPrimaryKey(String tableCat, String tableSchem, String tableName, String columnName, short keySeq, String pkName)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tableCat

    public final String tableCat

#### tableSchem

    public final String tableSchem

#### tableName

    public final String tableName

#### columnName

    public final String columnName

#### keySeq

    public final short keySeq

#### pkName

    public final String pkName

### Constructor Detail

#### MetaImpl.MetaPrimaryKey

    MetaImpl.MetaPrimaryKey(String tableCat,
                           String tableSchem,
                           String tableName,
                           String columnName,
                           short keySeq,
                           String pkName)